opencv: CvBoostTree Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes

# CvBoostTree Class Reference

`#include <ml.hpp>`

Inheritance diagram for CvBoostTree:

List of all members.

## Public Member Functions
virtual void | clear ()
| CvBoostTree ()
virtual void | read (CvFileStorage *fs, CvFileNode *node, CvBoost *ensemble, CvDTreeTrainData *_data)
virtual void | read (CvFileStorage *fs, CvFileNode *node)
virtual void | read (CvFileStorage *fs, CvFileNode *node, CvDTreeTrainData *data)
virtual void | scale (double s)
virtual bool | train (const CvMat *trainData, int tflag, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, const CvMat *varType=0, const CvMat *missingDataMask=0, CvDTreeParams params=CvDTreeParams())
virtual bool | train (CvDTreeTrainData *trainData, const CvMat *_subsample_idx)
virtual bool | train (CvDTreeTrainData *trainData, const CvMat *subsample_idx, CvBoost *ensemble)
virtual | ~CvBoostTree ()
## Protected Member Functions
virtual double | calc_node_dir (CvDTreeNode *n)
virtual void | calc_node_value (CvDTreeNode *n)
virtual CvDTreeSplit * | find_split_cat_class (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_split_cat_reg (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_split_ord_class (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_split_ord_reg (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_surrogate_split_cat (CvDTreeNode *n, int vi, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_surrogate_split_ord (CvDTreeNode *n, int vi, uchar *ext_buf=0)
virtual void | try_split_node (CvDTreeNode *n)
## Protected Attributes
CvBoost * | ensemble

## Constructor & Destructor Documentation

CvBoostTree::CvBoostTree | ( | ) |

virtual CvBoostTree::~CvBoostTree | ( | ) | `[virtual]`

## Member Function Documentation

virtual double CvBoostTree::calc_node_dir | ( | CvDTreeNode * | n ) | `[protected, virtual]`

Reimplemented from CvDTree.

virtual void CvBoostTree::calc_node_value | ( | CvDTreeNode * | n ) | `[protected, virtual]`

Reimplemented from CvDTree.

virtual void CvBoostTree::clear | ( | ) | `[virtual]`

Reimplemented from CvDTree.

virtual CvDTreeSplit* CvBoostTree::find_split_cat_class | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float | init_quality = `0`,
|  | CvDTreeSplit * | _split = `0`,
|  | uchar * | ext_buf = `0`
| ) |  | `[protected, virtual]`

Reimplemented from CvDTree.

virtual CvDTreeSplit* CvBoostTree::find_split_cat_reg | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float | init_quality = `0`,
|  | CvDTreeSplit * | _split = `0`,
|  | uchar * | ext_buf = `0`
| ) |  | `[protected, virtual]`

Reimplemented from CvDTree.

virtual CvDTreeSplit* CvBoostTree::find_split_ord_class | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float | init_quality = `0`,
|  | CvDTreeSplit * | _split = `0`,
|  | uchar * | ext_buf = `0`
| ) |  | `[protected, virtual]`

Reimplemented from CvDTree.

virtual CvDTreeSplit* CvBoostTree::find_split_ord_reg | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float | init_quality = `0`,
|  | CvDTreeSplit * | _split = `0`,
|  | uchar * | ext_buf = `0`
| ) |  | `[protected, virtual]`

Reimplemented from CvDTree.

virtual CvDTreeSplit* CvBoostTree::find_surrogate_split_cat | ( | CvDTreeNode * | n,
|  | int | vi,
|  | uchar * | ext_buf = `0`
| ) |  | `[protected, virtual]`

Reimplemented from CvDTree.

virtual CvDTreeSplit* CvBoostTree::find_surrogate_split_ord | ( | CvDTreeNode * | n,
|  | int | vi,
|  | uchar * | ext_buf = `0`
| ) |  | `[protected, virtual]`

Reimplemented from CvDTree.

virtual void CvBoostTree::read | ( | CvFileStorage * | fs,
|  | CvFileNode * | node,
|  | CvDTreeTrainData * | data
| ) |  | `[virtual]`

Reimplemented from CvDTree.

virtual void CvBoostTree::read | ( | CvFileStorage * | fs,
|  | CvFileNode * | node,
|  | CvBoost * | ensemble,
|  | CvDTreeTrainData * | _data
| ) |  | `[virtual]`

virtual void CvBoostTree::read | ( | CvFileStorage * | fs,
|  | CvFileNode * | node
| ) |  | `[virtual]`

Reimplemented from CvDTree.

virtual void CvBoostTree::scale | ( | double | s ) | `[virtual]`

virtual bool CvBoostTree::train | ( | CvDTreeTrainData * | trainData,
|  | const CvMat * | subsample_idx,
|  | CvBoost * | ensemble
| ) |  | `[virtual]`

virtual bool CvBoostTree::train | ( | const CvMat * | trainData,
|  | int | tflag,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`,
|  | const CvMat * | varType = `0`,
|  | const CvMat * | missingDataMask = `0`,
|  | CvDTreeParams | params = `CvDTreeParams()`
| ) |  | `[virtual]`

Reimplemented from CvDTree.

virtual bool CvBoostTree::train | ( | CvDTreeTrainData * | trainData,
|  | const CvMat * | _subsample_idx
| ) |  | `[virtual]`

Reimplemented from CvDTree.

virtual void CvBoostTree::try_split_node | ( | CvDTreeNode * | n ) | `[protected, virtual]`

Reimplemented from CvDTree.

## Member Data Documentation

CvBoost* CvBoostTree::ensemble`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines